Copyright: 0.90 (preview release)


TQIGroupDialog component

Acts as an editor for the Fields.Grouping property of the TQueryInfo component, building the information required for the SQL "GROUP BY" clause.

A field is selected from list obtained from all fields defined in QueryInfo where FieldUsageFieldUsage contains the uaGroup attribute, using the defined UserName.

Transfer fields between the fields and grouping list boxes via the include and exclude buttons, drag-drop or double click. Group fields can be re-ordered via the move buttons or drag-drop. The field list box supports multi-select.

properties

Caption, ModalResult, QueryInfo, MaxItems, ShowGlyphs, SortFields

methods

Execute

files

qiGroup.dcu/dfm	unit & form resource

qiGroup.hlp	hypertext help reference (this file)


Execute method

Shows the dialog modaly. Returns True if OK button pressed (mrOK).

declaration

function Execute: Boolean


Caption property

Appears as the dialog’s caption.

type

string

stage

design time 	run time

access

read 	write


ShowGlyphs property

Specifies if Borland-style bitmaps are shown on the dialog buttons.

type

Boolean

stage

design time 	run time

access

read 	write


QueryInfo property

References the TQueryInfo component to use on execution (must be assigned before Execute is called).

type

TQueryInfo

stage

design time 	run time

access

read 	write


ModalResult property

Stores the modal result of the dialog Execute call.

type

TModalResult

stage

run time only

access

read only


MaxItems property

Determines the maximum number of group items permitted. Default: 5.

type

Integer

stage

design time	run time

access

read 	write


SortFields property

Determines whether the available fields list is always sorted alphabetically.

type

Boolean

stage

design time	run time

access

read 	write